#include <iostream>
#include<string>
#include<vector>
int main()
{long long t;
std::cin>>t;
std::string n;

for(long long i = 0; i <t;i++){
    std::cin>>n;
    long long brojac_n = std::stoi(n);
    std::vector<long long> skup;
    skup.push_back(0);
    for(long long j = 0; j <= brojac_n; j++){
        std::string j_string = std::to_string(j);
        int cifre = j_string.size();
        long long proizvod = 1;

        for(int l = 0; l < cifre;l++){
            char trenutni = j_string[l];
            int broj_karakter = trenutni - '0';
            proizvod = proizvod * broj_karakter;
        }
        bool dali = true;
        for(long long kraj = 0; kraj < skup.size();kraj++){
            if(proizvod == skup[kraj]){
                dali = false;
            }
            else{
                continue;
            }
        }

    if(dali == true){
        skup.push_back(proizvod);}
    }
    if(skup.size() < 10){
        std::cout<<skup.size() - 1<<std::endl;
    }
    else{
    std::cout<< skup.size() << std::endl;}
}

    return 0;
}